import "./globals.css";
import { Toaster } from "react-hot-toast";

export const metadata = {
  title: "宠物用品商城",
  description: "专业的宠物用品购物平台，为您的宠物提供优质商品",
  keywords: "宠物用品,宠物商城,宠物食品,宠物玩具",
};

export default function RootLayout({ children }) {
  return (
    <html lang="zh-CN">
      <body>
        {children}
        <Toaster
          toastOptions={{
            duration: 2000,
            style: {
              background: "#333",
              color: "#fff",
            },
          }}
        />
      </body>
    </html>
  );
}
