const mongoose = require("mongoose");

const checkInSchema = new mongoose.Schema(
  {
    userId: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "User",
      required: true,
    },
    date: {
      type: Date,
      required: true,
    },
    points: {
      type: Number,
      default: 1,
    },
    streak: {
      type: Number,
      default: 1,
    },
  },
  {
    timestamps: true,
  }
);

module.exports =
  mongoose.models.CheckIn || mongoose.model("CheckIn", checkInSchema);
